---
title: Worker.onmessageerror
slug: Web/API/Worker/onmessageerror
tags:
  - API
  - Event Handler
  - Property
  - Reference
  - Worker
  - onmessageerror
---
<div>{{APIRef("HTML DOM")}}</div>

<p>The <code><strong>onmessageerror</strong></code> event handler of the {{domxref("Worker")}} interface is an {{domxref("EventListener")}}, called whenever an {{domxref("MessageEvent")}} of type <code>messageerror</code> is fired on the <code>Worker</code> instance — that is, when it receives a message that cannot be {{glossary("Deserialization", "deserialized")}}.</p>

<p>{{AvailableInWorkers}}</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">Worker.onmessageerror = function() { ... };</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('HTML WHATWG', '#handler-worker-onmessageerror', 'onmessageerror')}}</td>
			<td>{{Spec2('HTML WHATWG')}}</td>
			<td> </td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Worker.onmessageerror")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li><a href="/en-US/docs/Web/API/Channel_Messaging_API/Using_channel_messaging">Using channel messaging</a></li>
</ul>
